Member Function
Segment
Constructor
Segment<THost, SuffixSegment> ()
Segment<THost, SuffixSegment> (suffix)
Segment<THost, SuffixSegment> (host [, begin])
Parameters

suffix | Other suffix object. (copy constructor)
host | The whole sequence.
begin | Position in host of the first item in segment. (optional) Types: Iterator<THost>::Type, Position<THost>::Type Default: 0

Remarks
A Segment object cannot work without a host. If the object is default constructed, the host must be set by setHost before the segment can be used.
If a segment object is constructed by the copy constructor, the members of the new constructed object are set to the same values as the members in the source object; the host object is not modified. Note that this is a special case, since all other copy operations result in changes of the host object.
begin must be a valid position/iterator in host. If begin is omitted, the suffix segment corresponding to the whole sequence host is constructed. This is the same segment that is returned by goBegin.
Member of
SuffixSegment
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:49